package rule;

import enumerate.State;

/**
 * 
 * @author Kevin Majchrzak
 * 
 */
public class AirSlide extends Rule {

	public AirSlide(GameStateInterface gameState) {
		super(gameState);
	}

	@Override
	public boolean satisfied() {
		return (gameState.getMyCharacterData().getState() == State.AIR)
				&& (gameState.getMyCharacterData().getY() < 90);
	}

	@Override
	public void execute() {
		gameState.getCommandCenter().commandCall("AIR_D_DF_FB");
	}

	@Override
	public int getPriority() {
		return 1;
	}

}
